=== debian/control ===
Source: kbiff
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5.0.0), autotools-dev, kdelibs4-dev (>= 4:3.4.2), 
 libqt3-mt-dev, libqt3-compat-headers
Standards-Version: 3.9.1

Package: kbiff
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDE mail notification utility 
 Kbiff is a "xbiff"-like mail notification utility. It has  multiple pixmaps,
 session management, and GUI configuration.  It can "dock" into the KDE panel.
 It can display animated gifs, play system sounds, or run arbitrary shell
 command when new mail arrives. It supports mbox, maildir, mh, POP3, IMAP4, and
 NNTP mailboxes.
