=== debian/watch ===
version=3

http://sf.net/kbiff/kbiff-([\d.]+)\.tar\.bz2
